package com.liangjian.dataplatform.member.entity.po.secondary;


import io.swagger.annotations.ApiParam;

import java.util.List;

public class FiltersData {

    @ApiParam(value = "页数", required = true)
    private int pageIndex;
    @ApiParam(value = "每页数量", required = true)
    private int pageSize;
    @ApiParam(value = "条件", required = false)
    private List<FiltersUtils> filters;

    @ApiParam(value = "排序方式", required = false)
    private Integer sortDirection;

    @ApiParam(value = "排序字段", required = false)
    private String sortField;

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<FiltersUtils> getFilters() {
        return filters;
    }

    public void setFilters(List<FiltersUtils> filters) {
        this.filters = filters;
    }

    public Integer getSortDirection() {
        return sortDirection;
    }

    public void setSortDirection(Integer sortDirection) {
        this.sortDirection = sortDirection;
    }

    public String getSortField() {
        return sortField;
    }

    public void setSortField(String sortField) {
        this.sortField = sortField;
    }
}
